DCMTK: DcmQuantScaleTable Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmQuantScaleTable Class Reference

this is a helper class used for temporarily reducing the image bit depth during calculation of an image histogram. More...

## Public Member Functions
| DcmQuantScaleTable ()
| constructor
| ~DcmQuantScaleTable ()
| destructor
DcmQuantComponent | operator[] (unsigned int idx) const
| array look-up operation.
void | createTable (unsigned long oldmaxval, unsigned long newmaxval)
| initializes the look-up table.

## Private Member Functions
void | cleanup ()
| resets the object to the default-constructed state
| DcmQuantScaleTable (const DcmQuantScaleTable &src)
| private undefined copy constructor
DcmQuantScaleTable & | operator= (const DcmQuantScaleTable &src)
| private undefined copy assignment operator

## Private Attributes
DcmQuantComponent * | table
| array of pixel values
unsigned int | numEntries
| number of entries in array

## Detailed Description

this is a helper class used for temporarily reducing the image bit depth during calculation of an image histogram.

An object of this class contains a look-up table that maps image pixel values to scaled-down image pixel values.

## Member Function Documentation

## ◆ createTable()

void DcmQuantScaleTable::createTable | ( | unsigned long | oldmaxval,
|  | unsigned long | newmaxval )
| inline

initializes the look-up table.

Parameters

  oldmaxval | maximum possible pixel value in source image
  newmaxval | new desired maximum value, should be < oldmaxval

References cleanup(), numEntries, and table.

Referenced by DcmQuantColorMapping< T1, T2 >::create().

## ◆ operator[]()

DcmQuantComponent DcmQuantScaleTable::operator[] | ( | unsigned int | idx | ) | const
| inline

array look-up operation.

Parameters

  idx | pixel value to look up. Object must be initialized (i.e. createTable() must have been called before) and idx must be less or equal to the parameter oldmaxval passed to createTable().

Returns
  scaled-down value from look-up table.

References numEntries, and table.

The documentation for this class was generated from the following file:

- dcmimage/include/dcmtk/dcmimage/diqtstab.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2